package com.cim.idm.service;

import com.cim.idm.model.PurchaseReturnDto;

import java.util.List;

public interface PurchaseReturnService {

    public List<PurchaseReturnDto> getPurchaseReturnList(String siteName, String user, String receiverequestname, String erpFactory) throws Exception;

    public List<PurchaseReturnDto> getPurchaseReturnInfo(String siteName, String user, String receiverequestname) throws Exception;

    public String purDessignOrAssign(String siteName, String user, String receiverequestname, String receiverequestdetailname, String receiveactno, String acttype, String receivequantity, String submaterialspecname) throws Exception;


    public String getPurPackingInfo(String siteName, String user, String receiverequestname) throws Exception;

    public String completeReceiveRequest(String siteName, String user, String receiverequestname) throws Exception;
}
